--- Mesa-7.8.2/src/mesa/glapi/gen/glX_proto_recv.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/glX_proto_recv.py	2010-12-06 15:20:32.000000000 +1100
@@ -42,8 +42,8 @@
 
 	def printRealHeader(self):
 		self.printVisibility( "HIDDEN", "hidden" )
-		print 'struct __GLXclientStateRec;'
-		print ''
+		print ('struct __GLXclientStateRec;')
+		print ('')
 		return
 
 
@@ -51,16 +51,16 @@
 		for func in api.functionIterateAll():
 			if not func.ignore and not func.vectorequiv:
 				if func.glx_rop:
-					print 'extern HIDDEN void __glXDisp_%s(GLbyte * pc);' % (func.name)
-					print 'extern HIDDEN void __glXDispSwap_%s(GLbyte * pc);' % (func.name)
+					print ('extern HIDDEN void __glXDisp_%s(GLbyte * pc);' % (func.name))
+					print ('extern HIDDEN void __glXDispSwap_%s(GLbyte * pc);' % (func.name))
 				elif func.glx_sop or func.glx_vendorpriv:
-					print 'extern HIDDEN int __glXDisp_%s(struct __GLXclientStateRec *, GLbyte *);' % (func.name)
-					print 'extern HIDDEN int __glXDispSwap_%s(struct __GLXclientStateRec *, GLbyte *);' % (func.name)
+					print ('extern HIDDEN int __glXDisp_%s(struct __GLXclientStateRec *, GLbyte *);' % (func.name))
+					print ('extern HIDDEN int __glXDispSwap_%s(struct __GLXclientStateRec *, GLbyte *);' % (func.name))
 
 					if func.glx_sop and func.glx_vendorpriv:
 						n = func.glx_vendorpriv_names[0]
-						print 'extern HIDDEN int __glXDisp_%s(struct __GLXclientStateRec *, GLbyte *);' % (n)
-						print 'extern HIDDEN int __glXDispSwap_%s(struct __GLXclientStateRec *, GLbyte *);' % (n)
+						print ('extern HIDDEN int __glXDisp_%s(struct __GLXclientStateRec *, GLbyte *);' % (n))
+						print ('extern HIDDEN int __glXDispSwap_%s(struct __GLXclientStateRec *, GLbyte *);' % (n))
 
 		return
 
@@ -77,34 +77,34 @@
 
 
 	def printRealHeader(self):
-		print '#include <X11/Xmd.h>'
-		print '#include <GL/gl.h>'
-		print '#include <GL/glxproto.h>'
-
-		print '#include <inttypes.h>'
-		print '#include "indirect_size.h"'
-		print '#include "indirect_size_get.h"'
-		print '#include "indirect_dispatch.h"'
-		print '#include "glxserver.h"'
-		print '#include "glxbyteorder.h"'
-		print '#include "indirect_util.h"'
-		print '#include "singlesize.h"'
-		print '#include "glapi.h"'
-		print '#include "glapitable.h"'
-		print '#include "glthread.h"'
-		print '#include "glapidispatch.h"'
-		print ''
-		print '#define __GLX_PAD(x)  (((x) + 3) & ~3)'
-		print ''
-		print 'typedef struct {'
-		print '    __GLX_PIXEL_3D_HDR;'
-		print '} __GLXpixel3DHeader;'
-		print ''
-		print 'extern GLboolean __glXErrorOccured( void );'
-		print 'extern void __glXClearErrorOccured( void );'
-		print ''
-		print 'static const unsigned dummy_answer[2] = {0, 0};'
-		print ''
+		print ('#include <X11/Xmd.h>')
+		print ('#include <GL/gl.h>')
+		print ('#include <GL/glxproto.h>')
+
+		print ('#include <inttypes.h>')
+		print ('#include "indirect_size.h"')
+		print ('#include "indirect_size_get.h"')
+		print ('#include "indirect_dispatch.h"')
+		print ('#include "glxserver.h"')
+		print ('#include "glxbyteorder.h"')
+		print ('#include "indirect_util.h"')
+		print ('#include "singlesize.h"')
+		print ('#include "glapi.h"')
+		print ('#include "glapitable.h"')
+		print ('#include "glthread.h"')
+		print ('#include "glapidispatch.h"')
+		print ('')
+		print ('#define __GLX_PAD(x)  (((x) + 3) & ~3)')
+		print ('')
+		print ('typedef struct {')
+		print ('    __GLX_PIXEL_3D_HDR;')
+		print ('} __GLXpixel3DHeader;')
+		print ('')
+		print ('extern GLboolean __glXErrorOccured( void );')
+		print ('extern void __glXClearErrorOccured( void );')
+		print ('')
+		print ('static const unsigned dummy_answer[2] = {0, 0};')
+		print ('')
 		return
 
 
@@ -133,11 +133,11 @@
 			base = '__glXDispSwap'
 
 		if f.glx_rop:
-			print 'void %s_%s(GLbyte * pc)' % (base, name)
+			print ('void %s_%s(GLbyte * pc)' % (base, name))
 		else:
-			print 'int %s_%s(__GLXclientState *cl, GLbyte *pc)' % (base, name)
+			print ('int %s_%s(__GLXclientState *cl, GLbyte *pc)' % (base, name))
 
-		print '{'
+		print ('{')
 
 		if f.glx_rop or f.vectorequiv:
 			self.printRenderFunction(f)
@@ -145,10 +145,10 @@
 			if len(f.get_images()) == 0: 
 				self.printSingleFunction(f, name)
 		else:
-			print "/* Missing GLX protocol for %s. */" % (name)
+			print ("/* Missing GLX protocol for %s. */" % (name))
 
-		print '}'
-		print ''
+		print ('}')
+		print ('')
 		return
 
 
@@ -172,30 +172,30 @@
 				if t.glx_name not in already_done:
 					real_name = self.real_types[t_size]
 
-					print 'static %s' % (t_name)
-					print 'bswap_%s( const void * src )' % (t.glx_name)
-					print '{'
-					print '    union { %s dst; %s ret; } x;' % (real_name, t_name)
-					print '    x.dst = bswap_%u( *(%s *) src );' % (t_size * 8, real_name)
-					print '    return x.ret;'
-					print '}'
-					print ''
+					print ('static %s' % (t_name))
+					print ('bswap_%s( const void * src )' % (t.glx_name))
+					print ('{')
+					print ('    union { %s dst; %s ret; } x;' % (real_name, t_name))
+					print ('    x.dst = bswap_%u( *(%s *) src );' % (t_size * 8, real_name))
+					print ('    return x.ret;')
+					print ('}')
+					print ('')
 					already_done.append( t.glx_name )
 
 		for bits in [16, 32, 64]:
-			print 'static void *'
-			print 'bswap_%u_array( uint%u_t * src, unsigned count )' % (bits, bits)
-			print '{'
-			print '    unsigned  i;'
-			print ''
-			print '    for ( i = 0 ; i < count ; i++ ) {'
-			print '        uint%u_t temp = bswap_%u( src[i] );' % (bits, bits)
-			print '        src[i] = temp;'
-			print '    }'
-			print ''
-			print '    return src;'
-			print '}'
-			print ''
+			print ('static void *')
+			print ('bswap_%u_array( uint%u_t * src, unsigned count )' % (bits, bits))
+			print ('{')
+			print ('    unsigned  i;')
+			print ('')
+			print ('    for ( i = 0 ; i < count ; i++ ) {')
+			print ('        uint%u_t temp = bswap_%u( src[i] );' % (bits, bits))
+			print ('        src[i] = temp;')
+			print ('    }')
+			print ('')
+			print ('    return src;')
+			print ('}')
+			print ('')
 			
 
 	def fetch_param(self, param):
@@ -237,11 +237,11 @@
 			
 
 		if len( list ):
-			print '%s    %sCALL_%s( GET_DISPATCH(), (' % (indent, retval_assign, f.name)
-			print string.join( list, ",\n" )
-			print '%s    ) );' % (indent)
+			print ('%s    %sCALL_%s( GET_DISPATCH(), (' % (indent, retval_assign, f.name))
+			print (string.join( list, ",\n" ))
+			print ('%s    ) );' % (indent))
 		else:
-			print '%s    %sCALL_%s( GET_DISPATCH(), () );' % (indent, retval_assign, f.name)
+			print ('%s    %sCALL_%s( GET_DISPATCH(), () );' % (indent, retval_assign, f.name))
 		return
 
 
@@ -266,7 +266,7 @@
 			# FIXME or something similar.
 
 			if param.img_null_flag:
-				print '%s    const CARD32 ptr_is_null = *(CARD32 *)(pc + %s);' % (indent, param.offset - 4)
+				print ('%s    const CARD32 ptr_is_null = *(CARD32 *)(pc + %s);' % (indent, param.offset - 4))
 				cond = '(ptr_is_null != 0) ? NULL : '
 			else:
 				cond = ""
@@ -277,33 +277,33 @@
 			if param.is_image():
 				offset = f.offset_of( param.name )
 
-				print '%s    %s const %s = (%s) (%s(pc + %s));' % (indent, type_string, param.name, type_string, cond, offset)
+				print ('%s    %s const %s = (%s) (%s(pc + %s));' % (indent, type_string, param.name, type_string, cond, offset))
 				
 				if param.depth:
-					print '%s    __GLXpixel3DHeader * const hdr = (__GLXpixel3DHeader *)(pc);' % (indent)
+					print ('%s    __GLXpixel3DHeader * const hdr = (__GLXpixel3DHeader *)(pc);' % (indent))
 				else:
-					print '%s    __GLXpixelHeader * const hdr = (__GLXpixelHeader *)(pc);' % (indent)
+					print ('%s    __GLXpixelHeader * const hdr = (__GLXpixelHeader *)(pc);' % (indent))
 
 				need_blank = 1
 			elif param.is_counter or param.name in f.count_parameter_list:
 				location = self.fetch_param(param)
-				print '%s    const %s %s = %s;' % (indent, type_string, param.name, location)
+				print ('%s    const %s %s = %s;' % (indent, type_string, param.name, location))
 				need_blank = 1
 			elif len(param.count_parameter_list):
 				if param.size() == 1 and not self.do_swap:
 					location = self.fetch_param(param)
-					print '%s    %s %s = %s%s;' % (indent, type_string, param.name, cond, location)
+					print ('%s    %s %s = %s%s;' % (indent, type_string, param.name, cond, location))
 				else:
-					print '%s    %s %s;' % (indent, type_string, param.name)
+					print ('%s    %s %s;' % (indent, type_string, param.name))
 				need_blank = 1
 
 
 
 		if need_blank:
-			print ''
+			print ('')
 
 		if align64:
-			print '#ifdef __GLX_ALIGN64'
+			print ('#ifdef __GLX_ALIGN64')
 
 			if f.has_variable_size_request():
 				self.emit_packet_size_calculation(f, 4)
@@ -311,12 +311,12 @@
 			else:
 				s = str((f.command_fixed_length() + 3) & ~3)
 
-			print '    if ((unsigned long)(pc) & 7) {'
-			print '        (void) memmove(pc-4, pc, %s);' % (s)
-			print '        pc -= 4;'
-			print '    }'
-			print '#endif'
-			print ''
+			print ('    if ((unsigned long)(pc) & 7) {')
+			print ('        (void) memmove(pc-4, pc, %s);' % (s))
+			print ('        pc -= 4;')
+			print ('    }')
+			print ('#endif')
+			print ('')
 
 
 		need_blank = 0
@@ -341,35 +341,35 @@
 						x.append( [2, ['SHORT', 'UNSIGNED_SHORT']] )
 						x.append( [4, ['INT', 'UNSIGNED_INT', 'FLOAT']] )
 
-						print '    switch(%s) {' % (param.count_parameter_list[0])
+						print ('    switch(%s) {' % (param.count_parameter_list[0]))
 						for sub in x:
 							for t_name in sub[1]:
-								print '    case GL_%s:' % (t_name)
+								print ('    case GL_%s:' % (t_name))
 
 							if sub[0] == 1:
-								print '        %s = (%s) (pc + %s); break;' % (param.name, param.type_string(), o)
+								print ('        %s = (%s) (pc + %s); break;' % (param.name, param.type_string(), o))
 							else:
 								swap_func = self.swap_name(sub[0])
-								print '        %s = (%s) %s( (%s *) (pc + %s), %s ); break;' % (param.name, param.type_string(), swap_func, self.real_types[sub[0]], o, count_name)
-						print '    default:'
-						print '        return;'
-						print '    }'
+								print ('        %s = (%s) %s( (%s *) (pc + %s), %s ); break;' % (param.name, param.type_string(), swap_func, self.real_types[sub[0]], o, count_name))
+						print ('    default:')
+						print ('        return;')
+						print ('    }')
 					else:
 						swap_func = self.swap_name(type_size)
 						compsize = self.size_call(f, 1)
-						print '    %s = (%s) %s( (%s *) (pc + %s), %s );' % (param.name, param.type_string(), swap_func, self.real_types[type_size], o, compsize)
+						print ('    %s = (%s) %s( (%s *) (pc + %s), %s );' % (param.name, param.type_string(), swap_func, self.real_types[type_size], o, compsize))
 
 					need_blank = 1
 
 		else:
 			for param in f.parameterIterateGlxSend():
 				if param.count_parameter_list:
-					print '%s    %s = (%s) (pc + %s);' % (indent, param.name, param.type_string(), param.offset)
+					print ('%s    %s = (%s) (pc + %s);' % (indent, param.name, param.type_string(), param.offset))
 					need_blank = 1
 
 
 		if need_blank:
-			print ''
+			print ('')
 
 
 		return
@@ -377,29 +377,29 @@
 
 	def printSingleFunction(self, f, name):
 		if name not in f.glx_vendorpriv_names:
-			print '    xGLXSingleReq * const req = (xGLXSingleReq *) pc;'
+			print ('    xGLXSingleReq * const req = (xGLXSingleReq *) pc;')
 		else:
-			print '    xGLXVendorPrivateReq * const req = (xGLXVendorPrivateReq *) pc;'
+			print ('    xGLXVendorPrivateReq * const req = (xGLXVendorPrivateReq *) pc;')
 
-		print '    int error;'
+		print ('    int error;')
 
 		if self.do_swap:
-		    print '    __GLXcontext * const cx = __glXForceCurrent(cl, bswap_CARD32( &req->contextTag ), &error);'
+		    print ('    __GLXcontext * const cx = __glXForceCurrent(cl, bswap_CARD32( &req->contextTag ), &error);')
 		else:
-		    print '    __GLXcontext * const cx = __glXForceCurrent(cl, req->contextTag, &error);'
+		    print ('    __GLXcontext * const cx = __glXForceCurrent(cl, req->contextTag, &error);')
 
-		print ''
+		print ('')
 		if name not in f.glx_vendorpriv_names:
-			print '    pc += __GLX_SINGLE_HDR_SIZE;'
+			print ('    pc += __GLX_SINGLE_HDR_SIZE;')
 		else:
-			print '    pc += __GLX_VENDPRIV_HDR_SIZE;'
+			print ('    pc += __GLX_VENDPRIV_HDR_SIZE;')
 
-		print '    if ( cx != NULL ) {'
+		print ('    if ( cx != NULL ) {')
 		self.common_func_print_just_start(f, "    ")
 		
 
 		if f.return_type != 'void':
-			print '        %s retval;' % (f.return_type)
+			print ('        %s retval;' % (f.return_type))
 			retval_string = "retval"
 			retval_assign = "retval = "
 		else:
@@ -427,23 +427,23 @@
 
 
 			if param.count_parameter_list:
-				print '        const GLuint compsize = %s;' % (self.size_call(f, 1))
-				print '        %s answerBuffer[200];' %  (answer_type)
-				print '        %s %s = __glXGetAnswerBuffer(cl, compsize%s, answerBuffer, sizeof(answerBuffer), %u);' % (param.type_string(), param.name, size_scale, type_size )
+				print ('        const GLuint compsize = %s;' % (self.size_call(f, 1)))
+				print ('        %s answerBuffer[200];' %  (answer_type))
+				print ('        %s %s = __glXGetAnswerBuffer(cl, compsize%s, answerBuffer, sizeof(answerBuffer), %u);' % (param.type_string(), param.name, size_scale, type_size ))
 				answer_string = param.name
 				answer_count = "compsize"
 
-				print ''
-				print '        if (%s == NULL) return BadAlloc;' % (param.name)
-				print '        __glXClearErrorOccured();'
-				print ''
+				print ('')
+				print ('        if (%s == NULL) return BadAlloc;' % (param.name))
+				print ('        __glXClearErrorOccured();')
+				print ('')
 			elif param.counter:
-				print '        %s answerBuffer[200];' %  (answer_type)
-				print '        %s %s = __glXGetAnswerBuffer(cl, %s%s, answerBuffer, sizeof(answerBuffer), %u);' % (param.type_string(), param.name, param.counter, size_scale, type_size)
+				print ('        %s answerBuffer[200];' %  (answer_type))
+				print ('        %s %s = __glXGetAnswerBuffer(cl, %s%s, answerBuffer, sizeof(answerBuffer), %u);' % (param.type_string(), param.name, param.counter, size_scale, type_size))
 				answer_string = param.name
 				answer_count = param.counter
 			elif c >= 1:
-				print '        %s %s[%u];' % (answer_type, param.name, c)
+				print ('        %s %s[%u];' % (answer_type, param.name, c))
 				answer_string = param.name
 				answer_count = "%u" % (c)
 
@@ -462,21 +462,21 @@
 
 					if type_size > 1:
 						swap_name = self.swap_name( type_size )
-						print '        (void) %s( (uint%u_t *) %s, %s );' % (swap_name, 8 * type_size, param.name, answer_count)
+						print ('        (void) %s( (uint%u_t *) %s, %s );' % (swap_name, 8 * type_size, param.name, answer_count))
 
 
 				reply_func = '__glXSendReplySwap'
 			else:
 				reply_func = '__glXSendReply'
 
-			print '        %s(cl->client, %s, %s, %u, %s, %s);' % (reply_func, answer_string, answer_count, type_size, is_array_string, retval_string)
+			print ('        %s(cl->client, %s, %s, %u, %s, %s);' % (reply_func, answer_string, answer_count, type_size, is_array_string, retval_string))
 		#elif f.note_unflushed:
-		#	print '        cx->hasUnflushedCommands = GL_TRUE;'
+		#	print ('        cx->hasUnflushedCommands = GL_TRUE;')
 
-		print '        error = Success;'
-		print '    }'
-		print ''
-		print '    return error;'
+		print ('        error = Success;')
+		print ('    }')
+		print ('')
+		print ('    return error;')
 		return
 
 
@@ -505,19 +505,19 @@
 			# the must NEVER be byte-swapped.
 
 			if not (img.img_type == "GL_BITMAP" and img.img_format == "GL_COLOR_INDEX"):
-				print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SWAP_BYTES,   hdr->swapBytes) );'
+				print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SWAP_BYTES,   hdr->swapBytes) );')
 
-			print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_LSB_FIRST,    hdr->lsbFirst) );'
+			print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_LSB_FIRST,    hdr->lsbFirst) );')
 
-			print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_ROW_LENGTH,   (GLint) %shdr->rowLength%s) );' % (pre, post)
+			print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_ROW_LENGTH,   (GLint) %shdr->rowLength%s) );' % (pre, post))
 			if img.depth:
-				print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_IMAGE_HEIGHT, (GLint) %shdr->imageHeight%s) );' % (pre, post)
-			print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_ROWS,    (GLint) %shdr->skipRows%s) );' % (pre, post)
+				print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_IMAGE_HEIGHT, (GLint) %shdr->imageHeight%s) );' % (pre, post))
+			print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_ROWS,    (GLint) %shdr->skipRows%s) );' % (pre, post))
 			if img.depth:
-				print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_IMAGES,  (GLint) %shdr->skipImages%s) );' % (pre, post)
-			print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_PIXELS,  (GLint) %shdr->skipPixels%s) );' % (pre, post)
-			print '    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_ALIGNMENT,    (GLint) %shdr->alignment%s) );' % (pre, post)
-			print ''
+				print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_IMAGES,  (GLint) %shdr->skipImages%s) );' % (pre, post))
+			print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_SKIP_PIXELS,  (GLint) %shdr->skipPixels%s) );' % (pre, post))
+			print ('    CALL_PixelStorei( GET_DISPATCH(), (GL_UNPACK_ALIGNMENT,    (GLint) %shdr->alignment%s) );' % (pre, post))
+			print ('')
 
 
 		self.emit_function_call(f, "", "")
